Forum

Results 1 to 3 of 3
  1. #1
    Join Date
    May 2006
    Location
    Europe/Czech Rep.
    Posts
    1,615

    default plugins newer show up in client

    When teamspeak3 upgrade to 3.1.10 is installed on a system that have some fences outside your control with internet, and you update to most recent version the supposedly built in plugins are simply not there.

    such as:
    - ClientQuery
    - Control
    - Gamepad and Joystick Hotkey Support

    Granted some of these will not be present in Linux compared to Windows.

    An error is present in client-log multiple times mentioning
    ProtobufRPC Warning Error contacting URL https://clientapi.myteamspeak.com/addon ...

    This error and I suppose attempt to download them is performed only on first run of this new version(perhaps data structure migration is related to it).

    I don't use myteamspeak since it brings no benefits(just to be clear myteamspeak is not the topic here).

    There is nowhere to download these is there?
    Some bright person mentioned to me last time that I just put a file in there, but I don't have the file.

    I've tried to open mentioned url but as you might have guessed it brings no fruits in browser.

    Without mentioned plugins automated parts such as away toggle on linux when locking up pc are gone.

  2. #2
    Join Date
    May 2016
    Location
    Idar-Oberstein
    Posts
    150
    You can browse and download addons including our own via the browser, as it happens at http://www.myteamspeak.com.
    No registration required

  3. #3
    Join Date
    May 2006
    Location
    Europe/Czech Rep.
    Posts
    1,615
    Thanks! that did the trick as for some reason my first browser search landed me in forums addons section instead of correct web.

    For some that might have find this later I'll only add that in linux, all .ts3_plugin and so on, are renamed zip files, and as support I guess is lacking, you only have to extract the files into your .ts3client/ folder, and preferably restart your client to get it working.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. [Not Supported] Client 3.0.19 and newer does crash on OS X 10.7.5
    By ZeThiX in forum macOS
    Replies: 31
    Last Post: October 15th, 2018, 09:50 PM
  2. Server asked for newer client version
    By Myszax in forum Client Support
    Replies: 4
    Last Post: January 9th, 2017, 04:30 PM
  3. [Not Supported] Client 3.0.17 (and newer) on OSX 10.5 /10.6 / 10.7
    By furicle in forum macOS
    Replies: 21
    Last Post: April 12th, 2016, 08:30 AM
  4. [Resolved] How to develop Client Plugins
    By privatemeta in forum Windows
    Replies: 2
    Last Post: July 11th, 2014, 11:56 AM
  5. Show default channel description on joining
    By SShaadd in forum Suggestions and Feedback
    Replies: 1
    Last Post: April 16th, 2010, 04:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •